package main

import (
	"go.wit.com/gui/widget"

	"go.wit.com/dev/andlabs/ui"
	_ "go.wit.com/dev/andlabs/ui/winmanifest"
)

func (p *node) newLabel(n *node) {
	newt := new(guiWidget)
	c := ui.NewLabel(widget.GetString(n.value))
	newt.uiLabel = c
	newt.uiControl = c

	n.tk = newt
	p.place(n)
}
